%define upstream_name    Net-CUPS
%define upstream_version 0.64

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Common Unix Printing System Interface
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	cups-devel
BuildRequires:	perl(Test::More)
BuildRequires:	pkgconfig(libcupsfilters)
BuildRequires:	pkgconfig(openssl)

%{?perl_default_filter}

%description
Net::CUPS is an object oriented interface to the Common Unix Printing
System.

%prep
%setup -n %{upstream_name}-%{upstream_version}

# those test requires a running cups server
# http://rt.cpan.org/Ticket/Display.html?id=38469
rm -f t/03_destination.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Nov 30 2023 tv <tv> 0.640.0-11.mga10
+ Revision: 2011591
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.640.0-10.mga9
+ Revision: 1862208
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.640.0-9.mga9
+ Revision: 1795959
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.640.0-8.mga9
+ Revision: 1726913
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.640.0-7.mga8
+ Revision: 1594939
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.640.0-6.mga8
+ Revision: 1529998
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.640.0-5.mga8
+ Revision: 1433846
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.640.0-4.mga7
+ Revision: 1293537
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.640.0-3.mga7
+ Revision: 1249794
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.640.0-2.mga7
+ Revision: 1165838
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.640.0-1.mga7
+ Revision: 1157136
- new version 0.64

* Thu Aug 31 2017 pterjan <pterjan> 0.610.0-15.mga7
+ Revision: 1149861
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.610.0-14.mga7
+ Revision: 1126730
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.610.0-13.mga6
+ Revision: 1031008
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.610.0-12.mga6
+ Revision: 962030
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.610.0-11.mga6
+ Revision: 845043
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 0.610.0-10.mga6
+ Revision: 841975
- rebuild for perl 5.22

* Thu Dec 11 2014 sander85 <sander85> 0.610.0-9.mga5
+ Revision: 802746
- Fix build with CUPS 2.0
+ umeabot <umeabot>
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.610.0-8.mga5
+ Revision: 685631
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.610.0-7.mga5
+ Revision: 631463
- Rebuild for perl 5.20

* Fri Dec 20 2013 sander85 <sander85> 0.610.0-6.mga4
+ Revision: 559277
- Fix build (patch from Debian)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.610.0-5.mga4
+ Revision: 430905
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.610.0-4.mga3
+ Revision: 370508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.610.0-3.mga3
+ Revision: 250982
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.610.0-2.mga2
+ Revision: 104821
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.610.0-1.mga1
+ Revision: 30889
- mageia rebuild
- imported package perl-Net-CUPS

